import { Dashboard, DashboardScalingPreset, DashboardScreenPreset } from "@openremote/model";
import { LitElement } from "lit";
export declare class OrDashboardBoardsettings extends LitElement {
    readonly dashboard: Dashboard;
    readonly showPerms?: boolean;
    static get styles(): import("lit").CSSResult[];
    forceParentUpdate(force?: boolean): void;
    private setAccess;
    private setBreakpoint;
    private setRefreshInterval;
    protected render(): import("lit").TemplateResult<1>;
    setToMobilePreset(): void;
    scalingPresetTemplate(screenPresets: DashboardScreenPreset[], scalingPresets: {
        key: DashboardScalingPreset;
        value: string;
    }[]): import("lit").TemplateResult<1>;
    screenPresetTemplate(screenPresets: DashboardScreenPreset[], customLabels?: string[]): import("lit").TemplateResult<1>;
}
